# CraftPresence

## [v1.4.2](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.4.2) (2021-05-31)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.4.1...v1.4.2) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Change] Bumped Ace3 for more diff reductions and cleanups  
- [Change] Bumped Script to v1.3.7  
    - Fully prevent usage of this script when run on a version of python under `required\_version` (Which as of writing is set to only allow python 3 and newer). An exception will now be logged stating this and which version was attempted.  
    - Python Version Info is now logged within the initial welcome message as well, to assist in any further python-related issues. (As the version info can help in reproducing any foreseeable issues)  
- [Breaking] Refactor how placeholders and conditionals are stored  
    - Created two new global variables for `placeholders` and `conditions`. These variables replace the local tables `global\_placeholders`, `inner\_placeholders`, `custom\_placeholders`, and `time\_conditions` in order to have a more consolidated format.  
    - `SyncConditions`, `EncodeConfigData`, and `ParseGameData` have all been adjusted to match these new return values. Anyone using this in their configs should adjust to the new format as these changes will not be going to `Deprecated\_Functions` due to the need for forward migration.  
- [Change] Bumped Ace3 for the remaining vararg conversions  
    - Contained in a beta release for now until these final conversions are deemed safe.  
